SimpleGroovyClassDoc (Groovy 5.1.0)
Description: declaration: package: org.codehaus.groovy.tools.groovydoc, class: SimpleGroovyClassDoc

Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyClassDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyClassDoc`, `GroovyDoc`, `GroovyProgramElementDoc`, `GroovyType`

public class SimpleGroovyClassDoc extends SimpleGroovyAbstractableElementDoc implements GroovyClassDoc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pattern`
  `CODE_REGEX`
  `static final String`
  `DOCROOT_PATTERN`
  `static final String`
  `DOCROOT_PATTERN2`
  `static final Pattern`
  `LINK_REGEX`
  `static final Pattern`
  `LITERAL_REGEX`
  `static final Pattern`
  `NAME_ARGS_REGEX`
  `static final Pattern`
  `REF_LABEL_REGEX`
  `static final Pattern`
  `SPLIT_ARGS_REGEX`
  `static final Pattern`
  `TAG_REGEX`

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyClassDoc(List<String> importedClassesAndPackages, String name)`
  `SimpleGroovyClassDoc(List<String> importedClassesAndPackages, Map<String,String> aliases, String name)`
  `SimpleGroovyClassDoc(List<String> importedClassesAndPackages, Map<String,String> aliases, String name, List<LinkArgument> links)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `add(GroovyConstructorDoc constructor)`
  `boolean`
  `add(GroovyFieldDoc field)`
  `boolean`
  `add(GroovyMethodDoc method)`
  `boolean`
  `addEnumConstant(GroovyFieldDoc field)`
  `void`
  `addInterfaceName(String className)`
  `boolean`
  `addNested(GroovyClassDoc nestedClass)`
  `boolean`
  `addProperty(GroovyFieldDoc property)`
  `String`
  `commentText()`
  `GroovyConstructorDoc[]`
  `constructors()`
  returns a sorted array of constructors
  `GroovyConstructorDoc[]`
  `constructors(boolean filter)`
  `static String`
  `decodeSpecialSymbols(String text)`
  `boolean`
  `definesSerializableFields()`
  `static String`
  `encodeAngleBrackets(String text)`
  `static String`
  `encodeAngleBracketsInTagBody(String text, Pattern regex)`
  Replaces angle brackets inside a tag.
  `static String`
  `encodeSpecialSymbols(String text)`
  `GroovyFieldDoc[]`
  `enumConstants()`
  returns a sorted array of enum constants
  `GroovyFieldDoc[]`
  `fields()`
  returns a sorted array of fields
  `GroovyFieldDoc[]`
  `fields(boolean filter)`
  `GroovyClassDoc`
  `findClass(String className)`
  `String`
  `firstSentenceCommentText()`
  `String`
  `getDocUrl(String type)`
  `String`
  `getDocUrl(String type, boolean full)`
  `static String`
  `getDocUrl(String type, boolean full, List<LinkArgument> links, String relativePath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)`
  `String`
  `getFullPathName()`
  `String`
  `getNameWithTypeArgs()`
  `GroovyClassDoc`
  `getOuter()`
  `List<GroovyClassDoc>`
  `getParentClasses()`
  `Set<GroovyClassDoc>`
  `getParentInterfaces()`
  `String`
  `getRelativeRootPath()`
  `String`
  `getSuperClassName()`
  `GroovyClassDoc[]`
  `importedClasses()`
  `GroovyPackageDoc[]`
  `importedPackages()`
  `GroovyClassDoc[]`
  `innerClasses()`
  returns a sorted array of nested classes and interfaces
  `GroovyClassDoc[]`
  `innerClasses(boolean filter)`
  `GroovyClassDoc[]`
  `interfaces()`
  `GroovyType[]`
  `interfaceTypes()`
  `boolean`
  `isExternalizable()`
  `boolean`
  `isGroovy()`
  `boolean`
  `isPrimitive()`
  `boolean`
  `isSerializable()`
  `GroovyMethodDoc[]`
  `methods()`
  returns a sorted array of methods
  `GroovyMethodDoc[]`
  `methods(boolean filter)`
  `GroovyFieldDoc[]`
  `properties()`
  returns a sorted array of properties
  `String`
  `qualifiedTypeName()`
  The qualified name of this type excluding any dimension information.
  `String`
  `replaceAllTags(String self, String s1, String s2, Pattern regex)`
  `static String`
  `replaceAllTags(String self, String s1, String s2, Pattern regex, List<LinkArgument> links, String relPath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)`
  `String`
  `replaceAllTagsCollated(String self, String preKey, String postKey, String valueSeparator, String postValues, Pattern regex)`
  `String`
  `replaceTags(String comment)`
  `GroovyFieldDoc[]`
  `serializableFields()`
  `GroovyMethodDoc[]`
  `serializationMethods()`
  `void`
  `setFullPathName(String fullPathName)`
  `void`
  `setGroovy(boolean isgroovy)`
  `void`
  `setNameWithTypeArgs(String nameWithTypeArgs)`
  `void`
  `setOuter(GroovyClassDoc outer)`
  `void`
  `setSuperClass(GroovyClassDoc doc)`
  `void`
  `setSuperClassName(String className)`
  `String`
  `simpleTypeName()`
  The unqualified name of this type excluding any dimension or nesting information.
  `boolean`
  `subclassOf(GroovyClassDoc gcd)`
  `GroovyClassDoc`
  `superclass()`
  `GroovyType`
  `superclassType()`
  `String`
  `typeName()`
  The unqualified name of this type excluding any dimension information.

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyClassDoc

  `isAbstract`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyType

  `toString`

- ## Field Details

  - ### TAG_REGEX

    public static final Pattern TAG_REGEX

  - ### DOCROOT_PATTERN2

    public static final String DOCROOT_PATTERN2
    See Also:
      - Constant Field Values

  - ### DOCROOT_PATTERN

    public static final String DOCROOT_PATTERN
    See Also:
      - Constant Field Values

  - ### LINK_REGEX

    public static final Pattern LINK_REGEX

  - ### LITERAL_REGEX

    public static final Pattern LITERAL_REGEX

  - ### CODE_REGEX

    public static final Pattern CODE_REGEX

  - ### REF_LABEL_REGEX

    public static final Pattern REF_LABEL_REGEX

  - ### NAME_ARGS_REGEX

    public static final Pattern NAME_ARGS_REGEX

  - ### SPLIT_ARGS_REGEX

    public static final Pattern SPLIT_ARGS_REGEX

- ## Constructor Details

  - ### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List<String> importedClassesAndPackages, Map<String,String> aliases, String name, List<LinkArgument> links)

  - ### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List<String> importedClassesAndPackages, Map<String,String> aliases, String name)

  - ### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List<String> importedClassesAndPackages, String name)

- ## Method Details

  - ### constructors

    public GroovyConstructorDoc[] constructors()
    returns a sorted array of constructors
    Specified by:
      `constructors` in interface `GroovyClassDoc`

  - ### add

    public boolean add(GroovyConstructorDoc constructor)

  - ### getOuter

    public GroovyClassDoc getOuter()

  - ### setOuter

    public void setOuter(GroovyClassDoc outer)

  - ### isGroovy

    public boolean isGroovy()

  - ### setGroovy

    public void setGroovy(boolean isgroovy)

  - ### innerClasses

    public GroovyClassDoc[] innerClasses()
    returns a sorted array of nested classes and interfaces
    Specified by:
      `innerClasses` in interface `GroovyClassDoc`

  - ### addNested

    public boolean addNested(GroovyClassDoc nestedClass)

  - ### fields

    public GroovyFieldDoc[] fields()
    returns a sorted array of fields
    Specified by:
      `fields` in interface `GroovyClassDoc`

  - ### add

    public boolean add(GroovyFieldDoc field)

  - ### properties

    public GroovyFieldDoc[] properties()
    returns a sorted array of properties
    Specified by:
      `properties` in interface `GroovyClassDoc`

  - ### addProperty

    public boolean addProperty(GroovyFieldDoc property)

  - ### enumConstants

    public GroovyFieldDoc[] enumConstants()
    returns a sorted array of enum constants
    Specified by:
      `enumConstants` in interface `GroovyClassDoc`

  - ### addEnumConstant

    public boolean addEnumConstant(GroovyFieldDoc field)

  - ### methods

    public GroovyMethodDoc[] methods()
    returns a sorted array of methods
    Specified by:
      `methods` in interface `GroovyClassDoc`

  - ### add

    public boolean add(GroovyMethodDoc method)

  - ### getSuperClassName

    public String getSuperClassName()

  - ### setSuperClassName

    public void setSuperClassName(String className)

  - ### superclass

    public GroovyClassDoc superclass()
    Specified by:
      `superclass` in interface `GroovyClassDoc`

  - ### setSuperClass

    public void setSuperClass(GroovyClassDoc doc)

  - ### getFullPathName

    public String getFullPathName()
    Specified by:
      `getFullPathName` in interface `GroovyClassDoc`

  - ### setFullPathName

    public void setFullPathName(String fullPathName)

  - ### getRelativeRootPath

    public String getRelativeRootPath()
    Specified by:
      `getRelativeRootPath` in interface `GroovyClassDoc`

  - ### getParentClasses

    public List<GroovyClassDoc> getParentClasses()

  - ### getParentInterfaces

    public Set<GroovyClassDoc> getParentInterfaces()

  - ### getDocUrl

    public String getDocUrl(String type)

  - ### getDocUrl

    public String getDocUrl(String type, boolean full)

  - ### getDocUrl

    public static String getDocUrl(String type, boolean full, List<LinkArgument> links, String relativePath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)

  - ### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)
    Specified by:
      `constructors` in interface `GroovyClassDoc`

  - ### definesSerializableFields

    public boolean definesSerializableFields()
    Specified by:
      `definesSerializableFields` in interface `GroovyClassDoc`

  - ### fields

    public GroovyFieldDoc[] fields(boolean filter)
    Specified by:
      `fields` in interface `GroovyClassDoc`

  - ### findClass

    public GroovyClassDoc findClass(String className)
    Specified by:
      `findClass` in interface `GroovyClassDoc`

  - ### importedClasses

    public GroovyClassDoc[] importedClasses()
    Specified by:
      `importedClasses` in interface `GroovyClassDoc`

  - ### importedPackages

    public GroovyPackageDoc[] importedPackages()
    Specified by:
      `importedPackages` in interface `GroovyClassDoc`

  - ### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)
    Specified by:
      `innerClasses` in interface `GroovyClassDoc`

  - ### interfaces

    public GroovyClassDoc[] interfaces()
    Specified by:
      `interfaces` in interface `GroovyClassDoc`

  - ### interfaceTypes

    public GroovyType[] interfaceTypes()
    Specified by:
      `interfaceTypes` in interface `GroovyClassDoc`

  - ### isExternalizable

    public boolean isExternalizable()
    Specified by:
      `isExternalizable` in interface `GroovyClassDoc`

  - ### isSerializable

    public boolean isSerializable()
    Specified by:
      `isSerializable` in interface `GroovyClassDoc`

  - ### methods

    public GroovyMethodDoc[] methods(boolean filter)
    Specified by:
      `methods` in interface `GroovyClassDoc`

  - ### serializableFields

    public GroovyFieldDoc[] serializableFields()
    Specified by:
      `serializableFields` in interface `GroovyClassDoc`

  - ### serializationMethods

    public GroovyMethodDoc[] serializationMethods()
    Specified by:
      `serializationMethods` in interface `GroovyClassDoc`

  - ### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)
    Specified by:
      `subclassOf` in interface `GroovyClassDoc`

  - ### superclassType

    public GroovyType superclassType()
    Specified by:
      `superclassType` in interface `GroovyClassDoc`

  - ### isPrimitive

    public boolean isPrimitive()
    Specified by:
      `isPrimitive` in interface `GroovyType`

  - ### qualifiedTypeName

    public String qualifiedTypeName()
    Description copied from interface: `GroovyType`
    The qualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`java.lang.String`".
    Specified by:
      `qualifiedTypeName` in interface `GroovyType`

  - ### simpleTypeName

    public String simpleTypeName()
    Description copied from interface: `GroovyType`
    The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".
    Specified by:
      `simpleTypeName` in interface `GroovyType`

  - ### typeName

    public String typeName()
    Description copied from interface: `GroovyType`
    The unqualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`String`".
    Specified by:
      `typeName` in interface `GroovyType`

  - ### addInterfaceName

    public void addInterfaceName(String className)

  - ### firstSentenceCommentText

    public String firstSentenceCommentText()
    Specified by:
      `firstSentenceCommentText` in interface `GroovyDoc`
    Overrides:
      `firstSentenceCommentText` in class `SimpleGroovyDoc`

  - ### commentText

    public String commentText()
    Specified by:
      `commentText` in interface `GroovyDoc`
    Overrides:
      `commentText` in class `SimpleGroovyDoc`

  - ### replaceTags

    public String replaceTags(String comment)

  - ### replaceAllTags

    public String replaceAllTags(String self, String s1, String s2, Pattern regex)

  - ### replaceAllTags

    public static String replaceAllTags(String self, String s1, String s2, Pattern regex, List<LinkArgument> links, String relPath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)

  - ### replaceAllTagsCollated

    public String replaceAllTagsCollated(String self, String preKey, String postKey, String valueSeparator, String postValues, Pattern regex)

  - ### encodeAngleBracketsInTagBody

    public static String encodeAngleBracketsInTagBody(String text, Pattern regex)
    Replaces angle brackets inside a tag.
    Parameters:
      `text` - GroovyDoc text to process
      `regex` - has to capture tag name in group 1 and tag body in group 2

  - ### encodeAngleBrackets

    public static String encodeAngleBrackets(String text)

  - ### encodeSpecialSymbols

    public static String encodeSpecialSymbols(String text)

  - ### decodeSpecialSymbols

    public static String decodeSpecialSymbols(String text)

  - ### setNameWithTypeArgs

    public void setNameWithTypeArgs(String nameWithTypeArgs)

  - ### getNameWithTypeArgs

    public String getNameWithTypeArgs()